cURL
curl --request POST \
--url https://marketplace-as-a-service.herokuapp.com/index.php/api/dakota \
--header 'Content-Type: text/plain' \
--header 'Oauth-Token: <api-key>' \
--data '<JSON example>'import requests
url = "https://marketplace-as-a-service.herokuapp.com/index.php/api/dakota"
payload = "<JSON example>"
headers = {
"Oauth-Token": "<api-key>",
"Content-Type": "text/plain"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Oauth-Token': '<api-key>', 'Content-Type': 'text/plain'},
body: '<JSON example>'
};
fetch('https://marketplace-as-a-service.herokuapp.com/index.php/api/dakota', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Accounts API
Accounts API
This endpoint requires an Oauth-Token obtained from /oauth2
POST
/
index.php
/
api
/
dakota
cURL
How to Use
- Copy any of the JSON examples below.
- Go to the API playground by clicking on the “Try it” button.
- Paste the JSON into the request body field.
- Click “Send” button to execute the request.
Examples
Count Account Records
{
"module": "account",
"count_only": "1"
}
List All Accounts
{
"module": "account"
}
List Accounts with Specific Fields
{
"module": "account",
"filters": {
"fields": ["name", "createddate", "aum__c", "website"],
"order_by": "name:DESC",
"max_num": "10"
}
}
Get Parent Account Details
{
"module": "account",
"filters": {
"fields": [
"sfid",
"name",
"type",
"account.parentid.name",
"account.parentid.type"
]
}
}
Filter By Account ID
{
"module": "account",
"filters": {
"filter": [
{
"sfid": {
"$equals": "0017600000cmqHcAAI"
}
}
]
}
}
Filter By Account Type (Bank)
{
"module": "account",
"filters": {
"filter": [
{
"type": {
"$equals": "Bank"
}
}
]
}
}
Filter By Account Type (Not Consultant)
{
"module": "account",
"filters": {
"filter": [
{
"type": {
"$not_equals": "Consultant"
}
}
]
}
}
Filter By Account Name (OR Example)
{
"module": "account",
"filters": {
"filter": [
{
"$or": [
{
"name": {
"$contains": "Test"
}
},
{
"name": {
"$equals": "Test2"
}
}
]
}
]
}
}
Filter By Account Name and Type (AND Example)
{
"module": "account",
"filters": {
"filter": [
{
"$and": [
{
"name": {
"$equals": "Dakota QA 2"
}
},
{
"type": {
"$equals": "Endowment"
}
}
]
}
]
}
}
Filter By AUM Range
{
"module": "account",
"filters": {
"order_by": "name:DESC",
"max_num": 50,
"offset": 0,
"filter": [
{
"aum__c": {
"$between": [100, 500000]
}
}
],
"fields": ["sfid", "name", "lastmodifieddate", "aum__c"]
}
}
Filter By Date Range
{
"module": "account",
"filters": {
"order_by": "name:DESC",
"max_num": 50,
"offset": 0,
"filter": [
{
"lastmodifieddate": {
"$between": ["2025-01-01", "2025-01-20"]
}
}
],
"fields": ["sfid", "name", "lastmodifieddate", "aum__c"]
}
}
Filter By AUM Greater Than
{
"module": "account",
"filters": {
"filter": [
{
"aum__c": {
"$gt": "1200000"
}
}
]
}
}
Filter By AUM Greater Than or Equal
{
"module": "account",
"filters": {
"filter": [
{
"aum__c": {
"$gte": "1000000"
}
}
]
}
}
Filter By AUM Less Than
{
"module": "account",
"filters": {
"filter": [
{
"aum__c": {
"$lt": "1000000"
}
}
]
}
}
Filter By AUM Less Than or Equal
{
"module": "account",
"filters": {
"filter": [
{
"aum__c": {
"$lte": "1000000"
}
}
]
}
}
Filter By Created Date Range (Last 30 Days)
{
"module": "account",
"filters": {
"filter": [
{
"createddate": {
"$dateRange": "last_30_days"
}
}
]
}
}
Filter By Name with Special Characters
{
"module": "account",
"filters": {
"filter": [
{
"name": {
"$equals": "Malcolm \"Mac\" Mayer"
}
}
]
}
}
Authorizations
Get the OAuth token by calling the /oauth2 authentication API. Use the access_token from the response to authorize your API requests.
Body
text/plain
Copy any of the JSON examples and paste it into the request body field.

